
<section fxLayout="column">
    <mat-progress-bar *ngIf="loading" mode="indeterminate"></mat-progress-bar>
    <button fxFlexAlign="end" [autofocus]="false" mat-icon-button (click)="close()" class="close-icon">
        <mat-icon class="icon">close</mat-icon>
    </button>

    <div class="content">
        <h2 mat-dialog-title>Login</h2>
        <p *ngIf="requestError.error != null" style="color: red">{{requestError.error}}</p>
        <form [formGroup]="form" (ngSubmit)="onSubmit()">
            <mat-form-field appearance="outline">
                <mat-label>E-mail</mat-label>
                <input matInput
                       type="email"
                       formControlName="email"
                       placeholder="name@email.com"
                />
                <mat-error *ngIf="form.invalid">Enter a valid email</mat-error>
            </mat-form-field>
            <mat-form-field appearance="outline">
                <mat-label>Password</mat-label>
                <input
                        matInput
                        [type]="hide ? 'password' : 'text'"
                        formControlName="password"
                        placeholder="Enter your password"
                />
                <button type="button" mat-icon-button matSuffix (click)="hide = !hide"
                        [attr.aria-label]="'Hide password'" [attr.aria-pressed]="hide">
                    <mat-icon>{{hide ? 'visibility_off' : 'visibility'}}</mat-icon>
                </button>
                <mat-error *ngIf="form.invalid">Password is required</mat-error>
            </mat-form-field>

            <p class="forgot"><a (click)="reset()">Forgot password</a></p>
            <button mat-raised-button [disabled]="!form.valid || loading" type="submit">
                Sign In
            </button>

            <p class="not-member"><a (click)="joinNow()">Not a member yet? <strong>Join Now!</strong></a></p>
        </form>
    </div>

</section>

